[Overview][Constants][Classes][Index] | Reference for unit 'ezcgi' (#fcl)

# TEZcgi.GetValue

Return the value of a request variable.

## Declaration

Source position: ezcgi.pp line 66

`public function TEZcgi.GetValue(`
`Index: string;`
`defaultValue: string`
`):string;`

## Arguments

`Index` |  | Name of variable.
`defaultValue` |  | Value to return in case variable is empty.

## Function result

Value of variable.

## Description

GetValue returns the value of the variable named Index, and returns DefaultValue if it is empty or does not exist.

## See also

Values |  | Variables passed to the CGI script